class_name ArmorIcon extends ItemIcon

enum armor_type { IRON_PLATE, STEEL_PLATE }

@export var protection: int
@export var armor: armor_type

func _ready() -> void:
	stat_label.text = "%d" % protection
	item_name_label.text = armor_type.keys()[armor]
